[Prev: LABELSTYLES] | [Resources][TOC] | [Next: LASTPGLINK]

# LANG

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_LANG=`locale

Element

  `<LANG>`
  locale
  `</LANG>`

Command-line Option

  `-lang` locale

## Description

LANG sets the locale. Setting the locale affects the following MHonArc operations:

- Message sorting: Locale properties for string collation are applied when sorting messages by subject or author.

- Resource file loading: If a locale is specified, locale defined variations will be checked for. See RCFILE for more information.

The basic format for specifying a locale is:

    language_country.codeset

Where `codeset` and `country` are optional. The `language` and `country` are usually from the standards ISO 3166 and ISO 639, the two-letter abbreviations for the countries and the languages of the world, respectively. The `codeset` represents a specific character encoding, like ISO8859-1. You will need to consult your local system documentation for what locales, and their formats, are supported on your system.

## Default Setting

The value of the `LC_ALL` or `LANG` environment variables.

## Resource Variables

N/A

## Examples

None.

## Version

2.6.7

## See Also

RCFILE, TEXTENCODE

perllocale manual page.

[Prev: LABELSTYLES] | [Resources][TOC] | [Next: LASTPGLINK]